PythonOCC

PythonOCCでモデルの表示色を変更してみる

デフォルトでは金色で表示されるようです。

他の色でも表示させてみようと思います。

表示色と透過度を変更

玉を黒く塗って表示してみました。

表示色は、DisplayShape()の引数で設定するようです。

# 玉を黒色で表示する準備_透過度0.6
display.DisplayShape(my_sphere, color="black", transparency=0.6, update=True )

透過度も与えてみましたが、分かりにくいですね。

トーラスと一緒に表示

玉の中心にトーラスも表示させてみました。

玉が透けて、トーラスが見えますね。

中身はこんな感じです

from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeTorus
from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeSphere
from OCC.Display.SimpleGui import init_display

display, start_display, add_menu, add_function_to_menu = init_display()

# トーラスを作成
my_torus = BRepPrimAPI_MakeTorus(20.,10.).Shape()

# トーラスを金色で表示する準備
display.DisplayShape(my_torus, update=True )

# 玉作成
my_sphere = BRepPrimAPI_MakeSphere(80.).Shape()

# 玉を黒色で表示する準備_透過度0.6
display.DisplayShape(my_sphere, color="black", transparency=0.6, update=True )

# 表示
start_display() 

-PythonOCC

© 2021 暇人が趣味をさがす